Loading...
Searching...
No Matches
Opm::FluidThermalConductionLaw< FluidSystem, ScalarT, phaseIdx, ParamsT > Class Template Reference

Implements a thermal conduction law which just takes the conductivity of a given fluid phase. More...

`#include <FluidThermalConductionLaw.hpp>`

## Public Types

typedef ParamsT | Params
typedef Params::Scalar | Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &, const FluidState &fluidState)
| Given a fluid state, return the effective thermal conductivity [W/m^2 / (K/m)] of the porous medium.

## Detailed Description

template<class FluidSystem, class ScalarT, int phaseIdx, class ParamsT = FluidThermalConductionLawParams<ScalarT>>
class Opm::FluidThermalConductionLaw< FluidSystem, ScalarT, phaseIdx, ParamsT >

Implements a thermal conduction law which just takes the conductivity of a given fluid phase.

The documentation for this class was generated from the following file:

- opm/material/thermal/FluidThermalConductionLaw.hpp